Page MenuHomePhabricator

Provide a context item for MWNumberedExternalLinkNodes
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:
1.Open VE
2.Insert a external link
3.Insert another external link and add label to it

Compare the context menu for both the external links and observe that the context menu for the one with label has a clickable link and the other one is not

Expected: The clickability behavior should be consistent for both cases

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterMWNumberedExternalLinkNode: Provide a context item

Event Timeline

Ryasmeen created this task.May 5 2015, 8:49 PM
Ryasmeen assigned this task to Esanders.
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 5 2015, 8:49 PM
Ryasmeen triaged this task as Medium priority.May 6 2015, 7:40 PM
Jdforrester-WMF renamed this task from The URL in the context menu of an external link is clickable after adding label to it but not otherwise to Provide a context item for MWNumberedExternalLinkNodes.Aug 13 2015, 12:55 AM
Jdforrester-WMF claimed this task.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from Freezer to Needs Discussion/Analysis on the VisualEditor board.

Change 231202 had a related patch set uploaded (by Jforrester):
MWNumberedExternalLinkNode: Provide a context item

https://gerrit.wikimedia.org/r/231202

Jdforrester-WMF closed this task as Resolved.Aug 17 2015, 8:08 PM

Change 231202 merged by jenkins-bot:
MWNumberedExternalLinkNode: Provide a context item

https://gerrit.wikimedia.org/r/231202